# Method: projects.locations.orders.patch

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/patch#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/patch#try-it)

Updates the parameters of an order.

### HTTP request

`PATCH https://gdchardwaremanagement.googleapis.com/v1alpha/{order.name=projects/*/locations/*/orders/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `order.name` | `string` Identifier. Name of this order. Format: `projects/{project}/locations/{location}/orders/{order}` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. A mask to specify the fields in the Order to overwrite with this update. The fields specified in the updateMask are relative to the order, not the full request. A field will be overwritten if it is in the mask. If you don't provide a mask then all fields will be overwritten. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `requestId` | `string` Optional. An optional unique identifier for this request. See [AIP-155](https://google.aip.dev/155). |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders#Order`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `gdchardwaremanagement.orders.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).